Mono Colombia

Update a cardholder

Update a cardholder

PATCH
/v1/cards/cardholders/{id}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

idstring

Cardholder ID (Base 62 format)

Match^[A-Za-z]{2,7}_[\w-]{22}$
Example"carh_5tgliBmzjZ6mpQPRbQjfKj"

Request Body

application/json

Attributes to update a cardholder

TypeScript Definitions

Use the request body type in TypeScript.

address?Address

Address schema

birthdate?string

Cardholder birthdate

Formatdate
Example"1941-09-09"
email?string

Email

Match^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+){1,2}$
Formatemail
Example"someone@gmail.com"
first_name?string

String field

Length2 <= length <= 64
Example"Dennis"
last_name?string

String field

Length2 <= length <= 64
Example"Alistair"
middle_name?string

String field

Length2 <= length <= 64
Example"Mac"
nationality?string

Country code ISO 3166-1 alpha-2

Match^[A-Z]{2}$
Example"CO"
phone_number?string

Phone number

Match^\+[1-9]\d{1,14}$
Example"+573000000000"
second_last_name?string

String field

Length2 <= length <= 64
Example"Ritchie"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.sandbox.cuentamono.com/v1/cards/cardholders/carh_5tgliBmzjZ6mpQPRbQjfKj" \  -H "Content-Type: application/json" \  -d '{}'
{
  "address": {
    "city": "Chapinero",
    "country": "CO",
    "extra": "Location near the southeast corner in front of the ABC mall. deliver to the security guard pedro pruebas",
    "line_1": "Calle 97 # 15-24",
    "line_2": "Apto. 208",
    "state": "Bogota D.C",
    "zip_code": "110221"
  },
  "birthdate": "1941-09-09",
  "document": {
    "country_code": "CO",
    "number": "1023711432",
    "person_type": "natural",
    "type": "CC"
  },
  "email": "someone@gmail.com",
  "first_name": "Dennis",
  "id": "carh_5tgliBmzjZ6mpQPRbQjfKj",
  "last_name": "Alistair",
  "middle_name": "Mac",
  "nationality": "CO",
  "phone_number": "+573000000000",
  "second_last_name": "Ritchie"
}
{
  "code": "400 Bad Request",
  "errors": [
    {
      "error_code": "validation_error",
      "message": "Generic changeset errors",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Malformed request"
}
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "expired_token",
      "message": "The token is expired, inactive, or doesn't exist.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "404 Not Found",
  "errors": [
    {
      "error_code": "item_not_found",
      "message": "The item doesn't exist",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Resource not defined"
}
{
  "code": "422 Unprocessable Content",
  "errors": [
    {
      "error_code": "missing_field",
      "message": "The field is missing on the request body or parameters.",
      "path": "#/path/to/field",
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Validation errors"
}
{
  "code": "503 Service Unavailable",
  "errors": [
    {
      "error_code": "service_is_unavailable",
      "message": "The service is unavailable, Please try again later",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Service unavailable"
}